summaryrefslogtreecommitdiffstats
path: root/busybox.pkg/postinst
diff options
context:
space:
mode:
Diffstat (limited to 'busybox.pkg/postinst')
-rwxr-xr-xbusybox.pkg/postinst7
1 files changed, 7 insertions, 0 deletions
diff --git a/busybox.pkg/postinst b/busybox.pkg/postinst
index 99b8006..c499f03 100755
--- a/busybox.pkg/postinst
+++ b/busybox.pkg/postinst
@@ -5,6 +5,13 @@ if [ "x${1}" = 'xconfigure' ]; then
update-alternatives --install "${link}" "${name}" \
"${link}.busybox" "${prio}"
done </usr/share/busybox/alternatives
+ if ! [ -e /etc/rc.policy ]; then
+ if [ "x$(cat /etc/proteanos_plat)" = 'xdev' ]; then
+ printf 'disabled' >/etc/rc.policy
+ else
+ printf 'enabled' >/etc/rc.policy
+ fi
+ fi
if [ -e /usr/share/busybox/init-scripts ]; then
while read script; do
"/etc/init.d/${script}" enable